%global pypi_name pydantic-core
%global srcname pydantic_core

%global debug_package %{nil}

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.30.0
Release:        %mkrel 2
Summary:        Core functionality for pydantic validation and serialization
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pydantic-core
Source0:        %{pypi_source}
Source1:	pydantic_core-%{version}-vendor.tar.xz
# Run this script to update also vendor tarball
Source2:	vendor_rust.py
BuildRequires:  python3-devel
BuildRequires:  cargo2rpm
BuildRequires:  cargo-rpm-macros

%description
This package provides the core functionality for pydantic validation and
serialization.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides the core functionality for pydantic validation and
serialization.

%prep
%autosetup -n %{srcname}-%{version} -a1
%cargo_prep -v vendor

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.30.0-2.mga10
+ Revision: 2240795
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.30.0-1.mga10
+ Revision: 2157840
- new version 2.30.0
- rebuild for python3.13

* Sat Jul 13 2024 papoteur <papoteur> 2.18.4-1.mga10
+ Revision: 2080890
- new version 2.18.4
- update vendor-rust.py to allow execution from within SOURCES or SPECS directory

* Wed Apr 03 2024 papoteur <papoteur> 2.16.3-1.mga10
+ Revision: 2054128
- new version 2.16.3

* Sun Dec 10 2023 wally <wally> 2.14.5-1.mga10
+ Revision: 2016931
- imported package python-pydantic-core

